# PetscDLLibraryRetrieve

Copies a PETSc dynamic library from a remote location (if it is remote), indicates if it exits and its local name.

### Synopsis

    PetscErrorCode PETSC_DLLEXPORT PetscDLLibraryRetrieve(MPI_Comm comm,const char libname[],char *lname,int llen,PetscTruth *found)

Collective on MPI_Comm

### Input Parameters

| comm | - processors that are opening the library
| libname | - name of the library, can be relative or absolute

### Output Parameter

handle -library handle

### Notes

[[<http,ftp>://hostname]/directoryname/]filename[.so.1.0]

${PETSC_ARCH}, ${PETSC_DIR}, ${PETSC_LIB_DIR}, or ${any environmental variable} occuring in directoryname and filename will be replaced with appropriate values.

Level:developer
Location: src/sys/dll/dl.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages